ArrayAccess::offsetGet
ArrayAccess::offsetUnset
ArrayAccess
PHP Manual

# ArrayAccess::offsetSet

(PHP 5 >= 5.1.0)

ArrayAccess::offsetSet — Offset to set

### Descrição

abstract public void ArrayAccess::offsetSet ( mixed `$offset` , mixed `$value` )

Assigns a value to the specified offset.

### Parâmetros

`offset`

  The offset to assign the value to.

`value`

  The value to set.

### Valor Retornado

Não há valor retornado.

### Notas

> Nota: The `offset` parameter will be set to `NULL` if another value is not available, like in the following example.

> `<?php
> $arrayaccess[] = "value";
> ?>`

ArrayAccess::offsetGet
ArrayAccess::offsetUnset
ArrayAccess
PHP Manual